Bug 11022 - ide_cs (with compact flash) stalls computer
ide_cs (with compact flash) stalls computer
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-24 22:04 EDT by Richard Hyde
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 17:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hyde 2000-04-24 22:04:58 EDT
This SanDisk Compact Flash reader crashes the computer.  VIA based
ISA-to-PCMCIA adapter.  This card works well with Dell Laptop and Redhat
6.1.   Network PCMCIA cards work fine with this adapter.

hde: probing with STATUS (0xf0) instead of ALTSTATUS (0x50)
hde: no response (STATUS = 0xf0) resetting
hde: probing with STATUS (0xf1) instead of ALTSTATUS (0x51)
hde: no response (STATUS = 0xf1) resetting

then continues with the same sequence trying again with hdf and different
numbers before returning to hde.

Other IDE devices:  hard disk (hda), SuperDisk (hdc)
No other pccards.
Comment 1 Richard Hyde 2000-04-27 14:42:59 EDT
Correction:  It doesn't crash as I thought previously... it will resume to work
properly (the computer) if you eject the card and wait a few minutes.
Comment 2 Richard Hyde 2000-04-27 14:45:59 EDT
Same thing happens with 2.2.15pre19 + pcmcia-3.1.14.  If you configure with the
plug-n-play option the card(s) will simply report that there are no IRQs
available.  Compiling with it off shows the same behavior as the RH-dist
kernel.  Bug in pcmcia?
Comment 3 Richard Hyde 2000-04-27 14:47:59 EDT
from dmesg

Linux PCMCIA Card Services 3.1.14
  kernel build: 2.2.15pre19 #1 Wed Apr 26 19:11:32 PDT 2000
  options:  [pci] [apm]
PCI routing table version 1.0 at 0xfded0
  unknown PCI interrupt router 1106:0586
Intel PCIC probe:
  VIA VT83C469 rev 00 ISA-to-PCMCIA at port 0x3e0 ofs 0x00
    host opts [0]: [ring]
    host opts [1]: [ring]
    ISA irqs (default) = 3,4 polling interval = 1000 ms
cs: IO port probe 0x1000-0x17ff: excluding 0x1200-0x1207 0x1220-0x122f 0x1330-0x
1337 0x1388-0x138f 0x1600-0x1607 0x1620-0x162f 0x1730-0x1737 0x1788-0x178f
cs: IO port probe 0x0100-0x04ff: excluding 0x200-0x207 0x388-0x38f 0x4d0-0x4d7
cs: memory probe 0x0d0000-0x0dffff: clean.
hde: probing with STATUS(0xf0) instead of ALTSTATUS(0x50)
hde: probing with STATUS(0xf0) instead of ALTSTATUS(0x50)
hde: no response (status = 0xf0), resetting drive
hde: probing with STATUS(0xf1) instead of ALTSTATUS(0x51)
hde: no response (status = 0xf0)
hdf: probing with STATUS(0xe0) instead of ALTSTATUS(0x00)
hdf: probing with STATUS(0xe0) instead of ALTSTATUS(0x00)
hdf: no response (status = 0xe0), resetting drive
hdf: probing with STATUS(0xe0) instead of ALTSTATUS(0x00)
hdf: no response (status = 0xe0)
hde: probing with STATUS(0xf0) instead of ALTSTATUS(0x50)
hde: probing with STATUS(0xf0) instead of ALTSTATUS(0x50)
hde: no response (status = 0xf0), resetting drive
hde: probing with STATUS(0xf1) instead of ALTSTATUS(0x51)
hde: no response (status = 0xf0)
hdf: probing with STATUS(0xe0) instead of ALTSTATUS(0x00)
hdf: probing with STATUS(0xe0) instead of ALTSTATUS(0x00)
hdf: no response (status = 0xe0), resetting drive
hdf: no response (status = 0xff)
ide_cs: ide_register() at 0x100 & 0x10e, irq 3 failed
Comment 4 Alan Cox 2000-08-08 17:03:00 EDT
Ditto 3.1.18 in 6.9.5 with the Vaio has a long (60 second?) pause
Comment 5 Alan Cox 2000-08-22 12:15:11 EDT
I've verified with the IDE folks this is basically not fixable in 2.2

Note You need to log in before you can comment on or make changes to this bug.